Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaVersion

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaAttribute
          org.apache.cayenne.jpa.map.JpaVersion

All Implemented Interfaces:
  XMLSerializable

    public class JpaVersion

extends JpaAttribute

Field Summary
`protected JpaColumn` | `column`
`protected javax.persistence.TemporalType` | `temporal`

Fields inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`name, propertyDescriptor`

Constructor Summary
`JpaVersion()`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`JpaColumn` | `getColumn()`
`int` | `getDefaultJdbcType()` Returns default JDBC mapping for this basic attribute.
`javax.persistence.TemporalType` | `getTemporal()`
`void` | `setColumn(JpaColumn column)`
`void` | `setTemporal(javax.persistence.TemporalType temporal)`

Methods inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`getName, getPropertyDescriptor, setName, setPropertyDescriptor, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### column

    protected JpaColumn column

### temporal

    protected javax.persistence.TemporalType temporal

Constructor Detail

### JpaVersion

    public JpaVersion()

Method Detail

### getColumn

    public JpaColumn getColumn()

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`
  Specified by:
    `encodeAsXML` in class `JpaAttribute`

### getDefaultJdbcType

    public int getDefaultJdbcType()

  Returns default JDBC mapping for this basic attribute.

### setColumn

    public void setColumn(JpaColumn column)

### getTemporal

    public javax.persistence.TemporalType getTemporal()

### setTemporal

    public void setTemporal(javax.persistence.TemporalType temporal)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.